Безопасно ли обновление Discourse с 1.9.x до 2.1.x?

discourse

(Termyan) #1

У нас стоит старая версия и мы хотели бы обновить до новой. Но ранее не делали этого.


(Евгений) #2

Хороший вопрос.

ХМ. Сейчас версия Discourse: v2.2.0.beta2 +, 2.1 уже старая версия.

Несколько рекомендация.

  1. Обязательно сделайте резервную копию!
  2. Я бы отключил все неофициальные плагины (оф. кто начинается с discourse-). Не помню, в 1.9.x. был галка официального плагина о админ. интерфейсе или нет.

Так или иначе, выключить их придется в файле: app.yml. Закомментируйте строки.

  1. Обновите бы под командной строкой. Тут все видно, кто на что будет “ругаться” и т.д.